freedombone-addcert(1)

NAME
freedombone-addcert - A script for creating letsencrypt or self-signed certificates on Debian

SYNOPSIS
freedombone-addcert -e [hostname] -h [hostname] -s [Lets Encrypt server URL] -c [country code] -a [area] -l [location] -o [organisation] -u [unit] --dhkey [length in bits] --nodh [true/false]

DESCRIPTION
Creates either a Let's Encrypt or a self-signed certificate for the given hostname.

USAGE
Typical usage for a self-signed certificate is:
    freedombone-addcert -h [hostname] Or for a Let's Encrypt certificate:
    freedombone-addcert -e [hostname] Optionally you can also specify additional parameters.

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

SEE ALSO
freedombone(1), freedombone-clientcert(1), freedombone-addemail(1), freedombone-addlist(1), freedombone-addxmpp(1), freedombone-client(1), freedombone-config(1), freedombone-ignore(1), freedombone-prep(1), freedombone-remote(1), freedombone-renew-cert(1), freedombone-rmemail(1), freedombone-rmlist(1), freedombone-rmxmpp(1), freedombone-sec(1), freedombone-unignore(1), freedombone-xmpp-pass(1)

AUTHOR
Bob Mottram <bob@robotics.uk.to>
PGP/GPG: EA982E38
Bitmessage: BM-2cWuhmBvVdfrHhLoZTdspCkKeiTorUesSL
Web: http://robotics.uk.to